A valid request URL is required to generate request examples{
"status": "<string>",
"properties": {}
}Describe information about a transaction
Return a detailed information for a given transaction
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/transaction/{id}/describe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
]
}
'{
"status": "<string>",
"properties": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
Response
Response of DescribeTransaction
The status of a transaction. Case insensitive, supports both PascalCase and snake_case. Valid values are:
- Queued: the transaction is queued and not yet started
- Running: the transaction is currently running
- Succeeded: the transaction has completed successfully
- Failed: the transaction has failed
- Canceled: the transaction was canceled
Show child attributes
Show child attributes
Was this page helpful?